Bug 1722811 - spelling of HyperConverged in the console
Summary: spelling of HyperConverged in the console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.3.0
Assignee: Zac Herman
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-21 11:50 UTC by Irina Gulina
Modified: 2020-01-23 11:04 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Unknown custom resources were automatically split into words to try to best guess what the user should see. Consequence: Several resources were split inappropriately which did not give a proper experience to the end user. Fix: Custom resources will now just use the name they are defined with. Result: Custom resources now show as defined in the CRD and we do not split them into separate words.
Clone Of:
Environment:
Last Closed: 2020-01-23 11:04:11 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot for comment #0 (104.16 KB, image/png)
2019-06-21 11:50 UTC, Irina Gulina
no flags Details
KubeVirt CRD (168.35 KB, image/png)
2019-06-25 19:14 UTC, Ryan Hallisey
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 2380 'None' 'closed' 'Bug 1722811: Use kind name for label' 2019-11-25 07:48:50 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:04:41 UTC

Description Irina Gulina 2019-06-21 11:50:26 UTC
Created attachment 1583144 [details]
screenshot for comment #0

Description of problem:
HyperConverged is spelled as 'Hyper Converged' in the console. Hyper is a prefix. It shouldn't stand alone. 

Version-Release number of selected component (if applicable):
bundle 29

Go to Installed Operators -> KubeVirt HyperConverged Cluster Operator Deployment tab

Actual results:
see the screenshot attached

Comment 1 Nelly Credi 2019-06-21 13:24:29 UTC
while this it a low priority bug, i would still like to see it fixed, 
as this is the first place a customer sees CNV
targeting to 2.0

Comment 3 Ryan Hallisey 2019-06-25 19:14:46 UTC
Created attachment 1584428 [details]
KubeVirt CRD

It's a limitation in the UI.  Looks like the UI displays CRDs written in camel case to have spaces e.g. KubeVirt -> Kube Virt.  This bug shouldn't be against CNV unless we're using the wrong name format...

Comment 5 Ryan Hallisey 2019-07-31 14:19:26 UTC
Retargeting to OLM, however this may be the wrong component for this issue.

Comment 6 Evan Cordell 2019-08-05 13:14:18 UTC
Retargeting to Console, this is a UI issue only.

Comment 7 Samuel Padgett 2019-08-08 16:06:39 UTC
I think the UI should only humanize types that have static models and just show the kind directly for everything else. It can cause too many problems (e.g. OAuth -> O Auth, etc).

Comment 9 shahan 2019-10-14 07:27:36 UTC
Now the name changed to 'HyperConvergeds' verified this bug.
4.3.0-0.ci-2019-10-14-031716

Comment 11 errata-xmlrpc 2020-01-23 11:04:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.